
ChiliProject - Bug # 932: When trying to add sub-project, receive error of "Identifier has already been 
taken". 

Status: Closed Priority: Normal
Author: Brian Merritt Category:
Created: 2012-03-15 Assignee:
Updated: 2012-03-20 Due date:
Remote issue URL:
Affected version:
Description: We have a project called Product that we have a variety of sub-projects in. When trying to create a new 

sub-project with certain names, we get the error "Identifier has already been taken" and are unable to create 
the sub-project with the chosen name. Other sub-project names work. The names that do not work are not 
associated with any current Projects. Some (all?) of them were previously associated with a custom field 
called 'Features', but that custom field has been removed. Any ideas? This is blocking our ability to organize 
our projects the way we want to. :(

Associated revisions
2008-04-13 11:12 am - Jean-Philippe Lang 
Better error message and AR errors in log for failed LDAP on-the-fly user creation (closes #932, #1042).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1345 e93f8b46-1217-0410-a6f0-8f06a7374b81

History
2012-03-15 05:21 pm - Holger Just
- Priority changed from High to Normal

Project identifiers have to be globally unique to be able to uniquely identify projects by their name. So you can't have two projects with the same 
identifier, regardless of their nesting or activation state. Thus you also have to consider locked projects.

2012-03-15 07:58 pm - Brian Merritt
Understood. We do not have any other Projects using these names, locked or otherwise.

2012-03-16 12:11 am - Felix Schäfer
Maybe the error message doesn't reflect the error correctly either, could you post an example of an actually failing identifier?

2012-03-19 09:25 pm - Brian Merritt
- Status changed from Open to Closed

This is a non-issue. An archived project was using the identifiers that weren't working. Sorry for wasting your time.

2012-03-20 09:30 am - Felix Schäfer
No problem, thanks for reporting back :-)
